Loading...
Searching...
No Matches
OnMaskIterator< NodeMask > Class Template Reference

`#include <openvdb/util/NodeMasks.h>`

Inheritance diagram for OnMaskIterator< NodeMask >:

## Public Member Functions

| OnMaskIterator ()
| OnMaskIterator (Index32 pos, const NodeMask *parent)
void | increment ()
void | increment (Index n)
bool | next ()
bool | operator* () const
OnMaskIterator & | operator++ ()
bool | operator== (const BaseMaskIterator &iter) const
bool | operator!= (const BaseMaskIterator &iter) const
bool | operator< (const BaseMaskIterator &iter) const
Index32 | offset () const
Index32 | pos () const
bool | test () const
| operator bool () const

## Detailed Description

template<typename NodeMask>
class openvdb::v10_0::util::OnMaskIterator< NodeMask >

Note
  This happens to be a const-iterator!

## Constructor & Destructor Documentation

## OnMaskIterator() [1/2]

template<typename NodeMask>

OnMaskIterator | ( |  | ) |

inline

## OnMaskIterator() [2/2]

template<typename NodeMask>

OnMaskIterator | ( | Index32 | pos,
|  | const NodeMask * | parent )

inline

## Member Function Documentation

## increment() [1/2]

template<typename NodeMask>

void increment | ( |  | ) |

inline

## increment() [2/2]

template<typename NodeMask>

void increment | ( | Index | n | ) |

inline

## next()

template<typename NodeMask>

bool next | ( |  | ) |

inline

## offset()

template<typename NodeMask>

Index32 offset | ( |  | ) | const

inline inherited

## operator bool()

template<typename NodeMask>

operator bool | ( |  | ) | const

inline inherited

## operator!=()

template<typename NodeMask>

bool operator!= | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const

inline inherited

## operator*()

template<typename NodeMask>

bool operator* | ( |  | ) | const

inline

## operator++()

template<typename NodeMask>

OnMaskIterator & operator++ | ( |  | ) |

inline

## operator<()

template<typename NodeMask>

bool operator< | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const

inline inherited

## operator==()

template<typename NodeMask>

bool operator== | ( | const BaseMaskIterator< NodeMask > & | iter | ) | const

inline inherited

## pos()

template<typename NodeMask>

Index32 pos | ( |  | ) | const

inline inherited

## test()

template<typename NodeMask>

bool test | ( |  | ) | const

inline inherited